telepathy-gabble (0.18.3-3) unstable; urgency=medium

  [ Jonny Lamb ]
  * Remove myself from Uploaders.

  [ Laurent Bigonville ]
  * Call the python2 sequence during the build
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Use https:// for Vcs-* and Homepage fields
  * debian/rules: Enable all hardening flags
  * debian/control: Add python-dbus to the telepathy-gabble-tests dependencies
  * Drop the -dbg package and rely on the automatically built ones

 -- Laurent Bigonville <bigon@debian.org>  Fri, 30 Dec 2016 13:28:50 +0100

telepathy-gabble (0.18.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Laurent Bigonville ]
  * d/p/Add-a-systemd-user-service.patch: Add a systemd user service file
  * debian/control: Move telepathy-gabble-tests package to the "devel" section
    (Closes: #796840)
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Dec 2015 01:13:11 +0100

telepathy-gabble (0.18.3-1) unstable; urgency=medium

  * Build against GNUTLS 3.x (Closes: #753154)
  * Add enough build-dependencies to support the installed tests
    (Closes: #746487)
  * debian/watch: only watch for upstream stable releases (0.even.z)
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Jul 2014 23:01:16 +0100

telepathy-gabble (0.18.2-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Mar 2014 10:16:13 +0000

telepathy-gabble (0.18.1-2) unstable; urgency=medium

  * Sync with Ubuntu to run autoreconf for better portability.
    Thanks to Matthias Klose.
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jan 2014 13:08:02 +0000

telepathy-gabble (0.18.1-1ubuntu2) trusty; urgency=medium

  * Run dh-autoreconf in lib/ext/wocky too.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2014 11:05:06 +0100

telepathy-gabble (0.18.1-1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2014 07:59:56 +0100

telepathy-gabble (0.18.1-1) unstable; urgency=low

  * New upstream stable release
    - work around Facebook server behaviour change so we don't consider its
      service discovery response to be spoofed (Closes: #721883)

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Sep 2013 13:05:13 +0100

telepathy-gabble (0.18.0-1) unstable; urgency=low

  * Merge from experimental to unstable
  * New upstream stable release 0.18.0
    - now directly requires GLib 2.32 (previously indirect, via
      telepathy-glib)
    - includes a patch from Samuel Thibault to avoid "errno" as an
      ordinary identifier (Closes: #714534)

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Aug 2013 17:03:33 +0100

telepathy-gabble (0.17.5-1) experimental; urgency=low

  * Generate debian/shlibs.local based on upstream version, rather than
    having to update it every time
  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Jun 2013 14:40:43 +0100

telepathy-gabble (0.17.4-1) experimental; urgency=low

  * New upstream development release
    - CVE-2013-1431: respect the require-encryption flag on legacy Jabber
      servers.
      This flag is on by default: to connect to legacy Jabber servers,
      either disable "Encryption required (TLS/SSL)" or enable "Use old SSL".
    - update shlibs.local
  * Canonicalize Vcs-* fields (Lintian)
  * Standards-Version: 3.9.4 (no changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 30 May 2013 16:54:27 +0100

telepathy-gabble (0.17.3-1) experimental; urgency=low

  * New upstream release
    - drop all patches, applied upstream
    - fixes a remotely-triggerable DoS (CVE-2013-1769, Closes: #702252)
    - debian/shlibs.local: Bump version
  * debian/control: Fix duplicate package description

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Mar 2013 13:10:28 +0100

telepathy-gabble (0.17.1-3) experimental; urgency=low

  * Remove .la files from telepathy-gabble-tests
  * debian/telepathy-gabble-tests.lintian-overrides:
    + Added. override binary-or-shlib-defines-rpath lintian warning
  * debian/rules: Add ${shlibs:Depends}, ${misc:Depends} to
    telepathy-gabble-tests depends

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 21 Oct 2012 20:55:46 +0200

telepathy-gabble (0.17.1-2) experimental; urgency=low

  * d/p/Don-t-reset-the-capabilities-in-UpdateCap.patch
    + Added. Don't reset the capability to do Call1, fixes issues with
      calls breaking because StreamedMedia channels are emitted. (From upstream
      git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 21 Oct 2012 12:28:26 +0200

telepathy-gabble (0.17.1-1) experimental; urgency=low

  * New upstream release
  * debian/{control,rules,telepathy-gabble-test}: Package the installable tests
  * debian/rules, debian/shlibs.local: Add a local shlibs for the private
    libraries part of telepathy-gabble

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 11 Sep 2012 20:42:52 +0200

telepathy-gabble (0.16.6-1) unstable; urgency=high

  * New upstream stable release
    - CVE-2013-1431: respect the require-encryption flag on legacy Jabber
      servers.
      This flag is on by default: to connect to legacy Jabber servers,
      either disable "Encryption required (TLS/SSL)" or enable "Use old SSL".

 -- Simon McVittie <smcv@debian.org>  Wed, 29 May 2013 19:11:22 +0100

telepathy-gabble (0.16.5-1) unstable; urgency=medium

  * New upstream stable release
    - drop all patches, applied upstream
    - fixes a remotely-triggerable DoS (CVE-2013-1769, Closes: #702252)

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Mar 2013 15:10:21 +0000

telepathy-gabble (0.16.1-2) unstable; urgency=low

  * Add patch from 0.16.2 to fix a potential use-after-free when
    disconnecting with TLS verification channels open
  * Add patches from 0.16.3 to avoid triggering repeated capability discovery
    in iChat (Closes: #687370, LP: #984132)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Sep 2012 12:39:01 +0100

telepathy-gabble (0.16.1-1) unstable; urgency=medium

  * Bump priority to medium as this version is fixing connection issues with
    MSN
  * New upstream release.
    - Bump libglib2.0-dev build-dependency to 2.30
  * debian/watch: Do not call uupdate
  * Drop all patches: all of them are included in this new release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 27 Jun 2012 13:14:43 +0200

telepathy-gabble (0.16.0-3) unstable; urgency=low

  * debian/patches/Fix-for-initiating-a-video-call-from-an-Android-tabl.patch
    + Added: Fix incoming video calls from ICS devices (from upstream git)
  * debian/patches/Make-Android-4.0-GTalk-contacts-appear-as-capable-of.patch
    + Added: Make ICS clients show as if they're video capable (from upstream
      git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 02 Jun 2012 13:30:45 +0200

telepathy-gabble (0.16.0-2) unstable; urgency=low

  * Merge from experimental to unstable
    - switch branch names in gbp.conf
  * Use default.mk to get the dpkg-recommended build flags

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Apr 2012 13:02:47 +0100

telepathy-gabble (0.16.0-1) experimental; urgency=low

  * Merge from Ubuntu
    - new upstream release
  * Delete all unwanted .la files from plugins
  * List all uninstalled files
  * Don't waste time building static libraries - the only use of libraries
    in this package is for plugins, which have to be dynamic
  * Simplify how we get parallel builds
  * Standards-Version: 3.9.3 (no changes)
  * Remove the development symlinks for our private (plugin) libraries
  * Don't generate shared library dependencies for private libraries either

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Apr 2012 14:04:11 +0100

telepathy-gabble (0.16.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Correctly convert between Telepathy and Jingle candidate types
    - Start sending automatically on accepting bidirectional calls.
  * debian/control
    - bump build depends for libtelepathy-glib-dev to >= 0.18.0
  * debian/rules
    - no longer strip -Bsymbolic-function from LDFLAGS, bug has been fixed 
      upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Apr 2012 11:54:00 -0400

telepathy-gabble (0.15.4-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - debian/telepathy-gabble.install: Install telepathy-gabble-xmpp-console.
  * debian/rules
    - strip -Bsymbolic-function from LDFLAGS, causes a crash on 
      start https://bugs.freedesktop.org/show_bug.cgi?id=46417

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 05 Mar 2012 16:51:45 -0500

telepathy-gabble (0.15.4-1) experimental; urgency=low

  * New upstream release
    - increase telepathy-glib build-dependency
    - install libgabble-plugins.so, now needed by Gabble and its plugins
      (it should really be versioned with -release since it's not
      public/stable; to be fixed in a future Gabble)

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2012 21:38:52 +0000

telepathy-gabble (0.15.3-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - debian/telepathy-gabble.install: Install telepathy-gabble-xmpp-console.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Feb 2012 09:32:43 +0100

telepathy-gabble (0.15.3-1) experimental; urgency=low

  * Merge from unstable
  * New upstream release
    - increase telepathy-glib build-dependency
  * Remove unused path 01-jingleinfo.diff, which is not applied (and has not
    been necessary since 0.11.7)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jan 2012 17:53:22 +0000

telepathy-gabble (0.14.1-1) unstable; urgency=low

  * New upstream stable release (Closes: #656601)
  * Specifically mention Facebook Chat in the Description (Closes: #650459)
  * Use debhelper 9, for better debug symbols and hardened build flags
    (Closes: #656517)
    - but don't use multiarch libdir: not useful for this package
  * Standards-Version: 3.9.2 (no changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jan 2012 17:11:14 +0000

telepathy-gabble (0.15.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Up build-dep on libtelepathy-glib-dev.

 -- Jonny Lamb <jonny@debian.org>  Wed, 16 Nov 2011 18:33:10 +0000

telepathy-gabble (0.13.7-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 15 Oct 2011 18:19:53 +0100

telepathy-gabble (0.13.6-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 05 Oct 2011 11:26:52 +0100

telepathy-gabble (0.13.5-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 25 Aug 2011 16:20:24 +0100

telepathy-gabble (0.13.3-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 30 Jul 2011 16:31:03 +0100

telepathy-gabble (0.13.2-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 24 Jun 2011 21:27:49 +0200

telepathy-gabble (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 07 Jun 2011 10:17:18 +0100

telepathy-gabble (0.12.0-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 16:18:16 +0100

telepathy-gabble (0.11.10-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 05 Apr 2011 17:17:28 +0200

telepathy-gabble (0.11.8-1) experimental; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Mon, 14 Mar 2011 15:55:51 +0000

telepathy-gabble (0.11.7-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Bump libtelepathy-glib-dev version to 0.13.10

  [ Jonny Lamb ]
  * New upstream release.
  * debian/control: Bump tp-glib build-dep version to 0.13.12.

 -- Jonny Lamb <jonny@debian.org>  Thu, 17 Feb 2011 09:35:16 +0000

telepathy-gabble (0.11.6-1) experimental; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Thu, 27 Jan 2011 16:45:59 +0000

telepathy-gabble (0.11.5-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 10 Jan 2011 16:54:48 +0000

telepathy-gabble (0.11.4-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Require a newer tp-glib.

 -- Jonny Lamb <jonny@debian.org>  Tue, 14 Dec 2010 17:55:54 +0000

telepathy-gabble (0.11.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Upped tp-glib's build-dep version.

 -- Jonny Lamb <jonny@debian.org>  Tue, 30 Nov 2010 17:58:33 +0000

telepathy-gabble (0.11.2-1) experimental; urgency=low

  * New upstream release
  * Configure the locations of the CA certs instead of trusting the
    autodetection

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 27 Nov 2010 14:06:38 +0000

telepathy-gabble (0.11.0-1) experimental; urgency=low

  * New upstream release
    - increase Build-Depends on libtelepathy-glib-dev
    - remove Build-Depends on uuid-dev (not actually needed since 0.10.3)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Nov 2010 12:03:24 +0000

telepathy-gabble (0.10.4-1) experimental; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Nov 2010 14:08:42 +0000

telepathy-gabble (0.10.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 18 Oct 2010 15:57:25 +0100

telepathy-gabble (0.10.0-1) experimental; urgency=low

  * New upstream stable release
    - increase build-dependencies on GLib and telepathy-glib
  * Remove debian/README.source - since moving to 3.0 (quilt) format, there's
    nothing interesting to say in it

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Sep 2010 14:12:04 +0100

telepathy-gabble (0.9.18-2) experimental; urgency=low

  * Add Breaks for Mission Control older than 5.5, since interactive TLS
    checking (present since 0.9.17) isn't dispatched on those versions,
    resulting in an apparent hang

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Sep 2010 16:38:33 +0100

telepathy-gabble (0.9.18-1) experimental; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Sep 2010 21:25:48 +0100

telepathy-gabble (0.9.17-1) experimental; urgency=low

  * New upstream releases 0.9.16, 0.9.17
  * Standards-Version: 3.9.1 (no changes needed)
  * Bump telepathy-glib dependency to 0.11.14
  * Switch to debhelper 8 and 3.0 (quilt) source format

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Sep 2010 11:36:59 +0100

telepathy-gabble (0.9.15-2) unstable; urgency=high

  * debian/patches/01-jingleinfo.diff: Added to ignore google:jingleinfo
    pushes from contacts which may theoretically allow an attacker to
    trick Gabble into relaying streamed media through a server of the
    attacker's choosing, enabling them to intercept, obstruct or modify
    the user's audio and video calls.

 -- Jonny Lamb <jonny@debian.org>  Thu, 17 Feb 2011 09:24:33 +0000

telepathy-gabble (0.9.15-1) unstable; urgency=low

  * New upstream release
    - doesn't assert if the capabilities cache isn't valid (Closes: #586936)
  * Standards-Version: 3.9.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Jun 2010 18:34:42 +0100

telepathy-gabble (0.9.14-1) unstable; urgency=low

  * New upstream release
    - fixes regressions in connecting to some servers (Closes: 586705)
  * Update outdated dependencies in debian/control to match configure.ac

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2010 19:52:14 +0100

telepathy-gabble (0.9.13-1) unstable; urgency=low

  * New upstream release
  * Add libnice-dev to the build dependencies for google talk compatible
    file transfer

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Jun 2010 15:21:02 +0100

telepathy-gabble (0.9.12-1) unstable; urgency=low

  * New upstream release
  * Stop linking telepathy-gabble doc dir to the telepathy-gabble-dbg,
    it breaks the build when building with dh_buildinfo
  * Add libsqlite3-dev to the build dependencies

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 04 Jun 2010 14:36:16 +0100

telepathy-gabble (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Removed inactive maintainers from Uploaders.

 -- Jonny Lamb <jonny@debian.org>  Wed, 28 Apr 2010 10:40:43 +0100

telepathy-gabble (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: Added to ensure source format remains at 1.0.

 -- Jonny Lamb <jonny@debian.org>  Mon, 26 Apr 2010 10:23:19 +0100

telepathy-gabble (0.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 17 Mar 2010 13:57:49 +0000

telepathy-gabble (0.9.7-1) unstable; urgency=low

  * New upstream release
    - Should hopefully build successfully on hurd-i386 too

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Mar 2010 19:41:21 +0000

telepathy-gabble (0.9.6-2) unstable; urgency=low

  * "Officially" upload 0.9.x to unstable. I accidentally sent 0.9.6-1 to
    unstable, but discussion with other upstream developers concluded that
    0.9.x is suitable for sid/squeeze and we should keep it.

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Feb 2010 15:14:30 +0000

telepathy-gabble (0.9.6-1) experimental; urgency=low

  * New upstream release
  * Don't install .la files for plugins
  * Standards-Version: 3.8.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Feb 2010 20:46:32 +0000

telepathy-gabble (0.9.4-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 16 Feb 2010 17:40:13 +0000

telepathy-gabble (0.9.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 22 Dec 2009 13:11:18 +0000

telepathy-gabble (0.9.2-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 27 Oct 2009 17:54:55 +0000

telepathy-gabble (0.9.1-1) experimental; urgency=low

  * New upstream release.

 -- Dafydd Harries <daf@debian.org>  Tue, 29 Sep 2009 18:11:21 +0100

telepathy-gabble (0.9.0-1) experimental; urgency=low

  * New upstream release on a new development branch
  * Don't depend on Loudmouth, but do depend on GNU TLS and libsasl2
  * Increase dependencies on GLib (GNIO) and telepathy-glib
  * Upload to experimental for the moment - most people should keep using
    0.8.x until the 0.9 branch has settled down a bit, and until GLib 2.22
    appears

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2009 15:55:30 +0100

telepathy-gabble (0.8.11-2) unstable; urgency=low

  * Add three patches from upstream telepathy-gabble-0.8 branch
    to disable Linux-specific credentials-passing code on non-Linux,
    fixing compilation on kFreeBSD
  * Standards-Version: 3.8.4, no changes needed

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Feb 2010 18:42:23 +0000

telepathy-gabble (0.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Thu, 18 Feb 2010 23:26:36 +0000

telepathy-gabble (0.8.10-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/patches/:
    + Removed all patches from 0.8.9-1 as they're in this new release.
  * debian/control: Add libsqlite3-dev build-dep for the new caps cache.

 -- Jonny Lamb <jonny@debian.org>  Mon, 08 Feb 2010 18:23:42 +0000

telepathy-gabble (0.8.9-1) unstable; urgency=low

  * New upstream release
  * Add a set of patches from upstream git to ensure we don't reset our VCard
    on every login. Apart from saving bandwidth this also words around a
    problem in OpenFire where it leaks memory every time the avatar gets reset:
    - d/patches/0001-fd.o-25341-Always-sets-its-own-vcard-on-login.patch
    - d/patches/0002-vcard-manager-Do-not-try-to-set-vcard-fields-not-sup.patch
    - d/patches/0003-vcard-manager-Iterate-over-hashtable-instead-of-usin.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 22 Dec 2009 15:32:23 +0000

telepathy-gabble (0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 14 Oct 2009 22:40:34 +0100

telepathy-gabble (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 10 Oct 2009 17:04:38 -0400

telepathy-gabble (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 03 Oct 2009 18:03:48 +0100

telepathy-gabble (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Dafydd Harries <daf@debian.org>  Tue, 29 Sep 2009 15:20:46 +0100

telepathy-gabble (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 12 Sep 2009 13:41:02 +0100

telepathy-gabble (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/:
    + 0001-Fix-a-crash-when-advertising-tube-caps-without-Servi.patch:
      Removed as is in new upstream.

 -- Jonny Lamb <jonny@debian.org>  Tue, 08 Sep 2009 14:42:06 +0100

telepathy-gabble (0.8.1-2) unstable; urgency=low

  * debian/update-patches.mk: updated
  * d/patches/0001-Fix-a-crash-when-advertising-tube-caps-without-Servi.patch
    + Prevent a crash when a tube capability without a Service or ServiceName
      property is advertised. Patch from upstream git

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Aug 2009 23:39:42 +0100

telepathy-gabble (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Upped dep on libtelepathy-glib to >= 0.7.34.
    + Upped Standards-Version. (no changes)

 -- Jonny Lamb <jonny@debian.org>  Tue, 25 Aug 2009 18:25:59 +0100

telepathy-gabble (0.7.32-1) unstable; urgency=low

  * New upstream version.

 -- Dafydd Harries <daf@debian.org>  Tue, 11 Aug 2009 10:25:56 +0100

telepathy-gabble (0.7.31-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Jul 2009 17:56:36 +0100

telepathy-gabble (0.7.30-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Mon, 29 Jun 2009 16:51:58 +0100

telepathy-gabble (0.7.29-2) unstable; urgency=low

  * New Debian upload to make sure distribution is correctly set.

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Jun 2009 18:25:18 +0100

telepathy-gabble (0.7.29-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Fri, 19 Jun 2009 18:01:01 +0100

telepathy-gabble (0.7.28-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Upped build-dep on libtelepathy-glib-dev to >= 0.7.31.

 -- Jonny Lamb <jonny@debian.org>  Wed, 03 Jun 2009 14:45:10 +0100

telepathy-gabble (0.7.27-1) unstable; urgency=low

  * New Upstream Version
  * debian/control: Add uuid-dev as a build-dependency

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 11 May 2009 12:30:55 +0100

telepathy-gabble (0.7.26-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 08 Apr 2009 20:02:06 +0100

telepathy-gabble (0.7.25-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Upped build-dependency on telepathy-glib.
  * debian/copyright: Updated copyright years and versioned links to
    licenses in common-licenses.

 -- Jonny Lamb <jonny@debian.org>  Sat, 04 Apr 2009 12:03:10 +0100

telepathy-gabble (0.7.24-1) unstable; urgency=low

  [ Jonny Lamb ]
  * debian/control: Changed telepathy-gabble-dbg's Section to debug.

  [ Simon McVittie ]
  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Mar 2009 19:41:12 +0000

telepathy-gabble (0.7.23-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Correctly bump tp-glib to >= 0.7.26

  [ Jonny Lamb ]
  * New upstream release.
  * debian/control:
    + Added libsoup2.4-dev Build-Dep.
    + Upped Standards-Version (no changes).

 -- Jonny Lamb <jonny@debian.org>  Mon, 16 Mar 2009 17:17:22 +0000

telepathy-gabble (0.7.22-1) unstable; urgency=low

  * New Upstream Version
  * debian/control: Bump tp-glib depend to >= 0.7.24

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 03 Mar 2009 11:23:16 +0000

telepathy-gabble (0.7.21-1) unstable; urgency=low

  * New upstream release.
  * debian/gbp.conf:
    + Added pristine-tar = True.
    + Removed no-create-orig line.
  * debian/control:
    + Added myself to Uploaders.
    + Removed XS-Dm-Upload-Allowed field.

 -- Jonny Lamb <jonny@debian.org>  Sat, 21 Feb 2009 14:12:49 +0000

telepathy-gabble (0.7.20-2) unstable; urgency=low

  [ Simon McVittie ]
  * Bump dbus-glib build dependency to 0.80-2, so we get a runtime dependency
    on 0.78 (which can deal with all the D-Bus types we need, and consistently
    unrefs simply-typed hash tables) rather than 0.76 (which can't deal with
    all D-Bus types, and might unref or destroy hash tables depending on the
    version of GLib it was built against).

  [ Laurent Bigonville ]
  * Upload to unstable.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Feb 2009 20:41:45 +0100

telepathy-gabble (0.7.20-1) experimental; urgency=low

  * New upstream release
  * Remove both the patches (no longer needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Feb 2009 19:05:19 +0000

telepathy-gabble (0.7.19-1) experimental; urgency=low

  * New upstream release
  * Cherry-pick patch from upstream git to reinstate offline/error/unknown
    statuses in the GetStatuses return
  * Cherry-pick patch from upstream git to set actor correctly when
    terminating Jingle calls
  * [lintian] debian/control: remove duplicate "Section: net" from binary
    packages, so they pick it up from the source package
  * [lintian] debian/control: fix description of the -dbg package

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Jan 2009 19:01:03 +0000

telepathy-gabble (0.7.17-1) experimental; urgency=low

  [ Simon McVittie ]
  * Add update-patches machinery from libnice packaging
  * Sync README.source from libnice

  [ Laurent Bigonville ]
  * New upstream release
  * Bump libdbus-1-dev and libdbus-glib-1-dev build-dep
  * Add ${misc:Depends} to telepathy-gabble-dbg depends to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Thu, 18 Dec 2008 10:24:14 +0100

telepathy-gabble (0.7.16-1) experimental; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 03 Dec 2008 21:06:42 +0100

telepathy-gabble (0.7.15-1) experimental; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2008 09:57:24 +0000

telepathy-gabble (0.7.14-1) experimental; urgency=low

  * New upstream version
    - require telepathy-glib 0.7.18

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Nov 2008 11:38:16 +0000

telepathy-gabble (0.7.12-1) experimental; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Oct 2008 16:02:28 +0100

telepathy-gabble (0.7.11-1) experimental; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Oct 2008 16:04:16 +0100

telepathy-gabble (0.7.10-1) experimental; urgency=low

  [ Simon McVittie ]
  * New upstream version
    - require telepathy-glib 0.7.17
  * README.source: talk about the debian-patches branch

  [ Laurent Bigonville ]
  * Use my debian.org address in Uploaders
  * Fix Vcs-Git URL

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2008 14:01:58 +0100

telepathy-gabble (0.7.9-1) experimental; urgency=low

  * New experimental upstream version. This one would be in experimental even
    if we weren't in freeze for the lenny release.
    - bump build dependencies to GLib 2.16 and telepathy-glib 0.7.16
  * Move packaging to git and note this fact in debian/control.
  * Bump the Standards-Version to 3.8.0 (add a README.source).

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Sep 2008 18:42:50 +0100

telepathy-gabble (0.7.8-1) experimental; urgency=low

  * New upstream version.
  * debian/patches/01fixmarshaller.patch: removed, no longer needed.

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Aug 2008 20:35:05 +0100

telepathy-gabble (0.7.7-2) experimental; urgency=low

  * debian/patches/01fixmarshaller.patch: Fix assertion failure when using
    GLib 2.17's pedantic signal marshallers (patch from upstream darcs,
    via Ubuntu; fd.o #16963).

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Aug 2008 12:06:58 +0100

telepathy-gabble (0.7.7-1) experimental; urgency=low

  * New upstream release
    - debian/control: build-depend on telepathy-glib >= 0.7.13
      and update other dependencies to match configure.ac
  * Targeting experimental due to the lenny freeze
  * Wrap long Uploaders, Build-Depends and sort them alphabetically
  * Make the build-dependency on libdbus-1-dev explicit
  * Update copyright year in debian/copyright

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Jul 2008 14:45:34 +0100

telepathy-gabble (0.7.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: Up telepathy-glib build-depend to 0.7.8
  * debian/patches/00-no-call-state.diff:
    + Removed. Not relevant anymore

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 16 May 2008 12:41:16 +0200

telepathy-gabble (0.7.5-2) unstable; urgency=low

  * patches/00-no-call-state.diff: Added, from upstream darcs.
    Avoid referencing the CallState interface, so we don't have to depend on
    telepathy-glib >= 0.7.6

 -- Simon McVittie <smcv@debian.org>  Mon, 12 May 2008 09:30:43 +0100

telepathy-gabble (0.7.5-1) unstable; urgency=low

  * New upstream version
  * Ship the HTML protocol documentation installed by versions >= 0.7.4

 -- Simon McVittie <smcv@debian.org>  Mon, 05 May 2008 12:53:58 +0100

telepathy-gabble (0.7.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/00_retry_media_session_initiation_on_stream_removal.patch:
    removed, applied upstream
  * Use my Debian email address in Uploaders

 -- Simon McVittie <smcv@debian.org>  Thu, 01 May 2008 19:18:59 +0100

telepathy-gabble (0.7.3-2) unstable; urgency=low

  [ Simon McVittie ]
  * Instead of shipping documentation in the -dbg package, ship a symlink
    to the main package's documentation
  * Update Build-Depends for the 0.7.3 version, which needs
    telepathy-glib (>= 0.7.0) (in practice, this is easily satisfied by the
    versions in both lenny and sid, so shouldn't be a problem)

  [ Sjoerd Simons ]
  * debian/patches/00_retry_media_session_initiation_on_stream_removal.patch
    - Added. When a media stream is removed before a session initiation is
    send recheck if an initiation should be send (from upstream darcs)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 12 Apr 2008 17:54:28 +0200

telepathy-gabble (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Fri, 11 Apr 2008 15:36:28 +0100

telepathy-gabble (0.7.2-1) unstable; urgency=low

  * New upstream release (0.7.2)

 -- Laurent Bigonville <bigon@bigon.be>  Thu, 17 Jan 2008 23:11:41 +0100

telepathy-gabble (0.7.1-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release
    - Installs to libexecdir, so set libexecdir to /usr/lib/telepathy/ in
      debian/rules (we're standardizing on this directory for all
      Telepathy CMs in Debian)
    - Has a man page (which was briefly in the Debian packaging, but has now
      gone upstream)
  * Upgrade telepathy-glib dependency to 0.6.1 to get predictable behaviour
    of debug vs persist (note to backporters: 0.5.14 should be sufficient to
    build this version if you don't want 0.6.1)
  * Add XS-Dm-Upload-Allowed: yes so I can upload it

  [ Laurent Bigonville ]
  * Use new Homepage field instead of old pseudo-field
  * Use now official Vcs-* field
  * Bump libloudmouth-dev build-dep (>= 1.3.2), only needed to enable some
    new features
  * Bump Standards-Version to 3.7.3

 -- Laurent Bigonville <bigon@bigon.be>  Tue, 11 Dec 2007 20:48:36 +0100

telepathy-gabble (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Remove Provides: telepathy-connection-manager from the -dbg package

 -- Laurent Bigonville <bigon@bigon.be>  Fri, 28 Sep 2007 20:23:26 +0200

telepathy-gabble (0.5.14-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Add XS-Vcs-Bzr field

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 06 Sep 2007 22:27:46 +0200

telepathy-gabble (0.5.13-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Add myself as an Uploaders
  * Use binary:Version instead of Source-Version to be binNMU safe

  [ Sjoerd Simons ]
  * New upstream release
  * debian/control: Bump libtelepathy-glib-dev build-dep to >= 0.5.14

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 31 Aug 2007 09:44:51 +0200

telepathy-gabble (0.5.12-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Jul 2007 22:38:50 +0200

telepathy-gabble (0.5.11-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * Set the priority of -dbg to extra

  [ Simon McVittie ]
  * New upstream release
  * Build-Depend on telepathy-glib 0.5.10 (now separate)
  * Set -dbg dependencies correctly

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 03 May 2007 17:07:52 +0100

telepathy-gabble (0.5.8-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 13 Apr 2007 10:03:33 +0200

telepathy-gabble (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable now that the required version of dbus-glib is in
    unstable
  * debian/copyright: Update authors and include licenses/copyright of the
    included libmd5-rfc and sha1 implementations.
  * debian/telepathy-gabble.install: Make more strict to prevent the
    installation of telepathy-glib

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 10 Apr 2007 17:15:58 +0200

telepathy-gabble (0.5.6-1) experimental; urgency=low

  * New upstream release
  * Correctly upload to experimental (needs new dbus-glib) - 0.5.5-1 in
    unstable was a mistake
  * Branch packaging on Alioth to avoid future confusion

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 26 Mar 2007 17:08:06 +0100

telepathy-gabble (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  8 Mar 2007 18:54:41 +0100

telepathy-gabble (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Add xsltproc to build-depends

 -- Sjoerd Simons <sjoerd@debian.org>  Fri,  2 Mar 2007 11:40:03 +0100

telepathy-gabble (0.5.3-1) experimental; urgency=low

  * New upstream release

 -- Riccardo Setti <giskard@debian.org>  Thu,  8 Feb 2007 21:18:20 +0100

telepathy-gabble (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed:
    - 00_only_set_message_if_present.patch applied upstream
    - 01_first_update_cache_then_use_it.patch applied upstream
 
 -- Riccardo Setti <giskard@debian.org>  Tue, 30 Jan 2007 10:44:01 +0100

telepathy-gabble (0.5.0-2) unstable; urgency=low

  [ Riccardo Setti ]
  * Added telepathy-gabble-dbg package.

  [ Sjoerd Simons ]
  * debian/patches/00_only_set_message_if_present.patch
    - Don't add an optional message property in PresenceUpdate if the contact
    didn't have a status message (from upstream darcs)
  * debian/patches/01_first_update_cache_then_use_it.patch
    - First update the cache and then proccess the information (from upstream
    darcs)


 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 25 Jan 2007 15:09:43 +0100

telepathy-gabble (0.5.0-1) unstable; urgency=low

  [ Dafydd Harries ]
  * Bump build-dependency on Loudmouth to >= 1.1.1.
  * Bump libglib-dbus-dev dependency to >= 0.71.
  * List authors in copyright file.
  * Add Riccardo Setti as uploader.
  * Add watch file.
  * Bump standards version to 3.7.2.

  [ Simon McVittie ]
  * New upstream release.
  * Merge Ubuntu packaging with Daf's Debian packaging for 0.4.2.
  * Use plain debhelper (as in Daf's Debian packaging), not CDBS (as in Daniel
    Holbach's Ubuntu packaging).
  * Set Daf as maintainer with myself, Daniel Holbach and Riccardo Setti as
    uploaders.

  [ Sjoerd Simons ]
  * New upstream release
  * Add myself to uploaders
  * Revert the change to debhelper 
  * Merge in the latest ubuntu changes
  * Move the ubuntu changelog to ubuntu.change, so there is some record for it

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 14 Dec 2006 15:11:31 +0000

telepathy-gabble (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependency on Loudmouth to >= 1.1.1.
  * Bump libglib-dbus-dev dependency to >= 0.71.
  * List authors in copyright file.
  * Add Riccardo Setti as uploader.

 -- Dafydd Harries <daf@debian.org>  Tue, 17 Oct 2006 19:06:43 +0100

telepathy-gabble (0.3.0-1) unstable; urgency=low

  * New upstream version.
  * Add missing libloudmouth1-dev build-dependency.

 -- Dafydd Harries <daf@debian.org>  Tue,  1 Aug 2006 17:49:59 +0100

telepathy-gabble (0.1.42-1) unstable; urgency=low

  * New upstream version.
  * Provide telepathy-connection-manager virtual package.

 -- Dafydd Harries <daf@debian.org>  Thu, 13 Jul 2006 18:29:35 +0100

telepathy-gabble (0.1.37-1) unstable; urgency=low

  * Initial package.

 -- Dafydd Harries <daf@debian.org>  Fri,  9 Jun 2006 17:53:49 +0100
